[oe-commits] org.oe.dev initscripts: tweak mtab reading in checkroot.sh so that r/w ramdisk

pb commit openembedded-commits at lists.openembedded.org
Sun Jan 28 16:48:20 UTC 2007


initscripts: tweak mtab reading in checkroot.sh so that r/w ramdisk 
works on epia

Author: pb at openembedded.org
Branch: org.openembedded.dev
Revision: 00a701b73b6b0b487132b5a0b867722c117a1710
ViewMTN: http://monotone.openembedded.org/revision.psp?id=00a701b73b6b0b487132b5a0b867722c117a1710
Files:
1
packages/initscripts/initscripts-1.0/checkroot.sh
packages/initscripts/initscripts_1.0.bb
Diffs:

#
# mt diff -r84648f8847e78c8f4fc785417675d750d2dbfb6d -r00a701b73b6b0b487132b5a0b867722c117a1710
#
# 
# 
# patch "packages/initscripts/initscripts-1.0/checkroot.sh"
#  from [de2b4f355b4ac02342c671ca3777d2367c759d69]
#    to [a263d776a075ba5d4eb6aa4bf4a315dc3712d5b0]
# 
# patch "packages/initscripts/initscripts_1.0.bb"
#  from [6a402103157cfc88b9f2db8e4c3669fbec5487aa]
#    to [189c1aa3756fdfb70ed595cbd77721bea10159d7]
# 
============================================================
--- packages/initscripts/initscripts-1.0/checkroot.sh	de2b4f355b4ac02342c671ca3777d2367c759d69
+++ packages/initscripts/initscripts-1.0/checkroot.sh	a263d776a075ba5d4eb6aa4bf4a315dc3712d5b0
@@ -189,16 +189,15 @@ fi
 #	and finally write the new mtab.
 #	This part is only needed if the rootfs was mounted ro.
 #
-if [ $(grep rootfs /proc/mounts | awk '{print $4}') = rw ]; then
-	exit 0
+ROOTFSDEV="/dev/root"
+if ! grep -q "^$ROOTFSDEV\w" /proc/mounts; then
+  ROOTFSDEV="rootfs"
 fi
-
-#       Add a second check, which seems to be needed for some kernel versions
-if [ $(grep "/dev/root" /proc/mounts | awk '{print $4}') = rw ]; then
-        exit 0
+if [ $(grep "^$ROOTFSDEV\w" /proc/mounts | awk '{print $4}') = rw ]; then
+	echo "Root filesystem already read-write, not remounting"
+	exit 0
 fi
 
-
 echo "Remounting root file system..."
 mount -n -o remount,$rootmode /
 if test "$rootmode" = rw
============================================================
--- packages/initscripts/initscripts_1.0.bb	6a402103157cfc88b9f2db8e4c3669fbec5487aa
+++ packages/initscripts/initscripts_1.0.bb	189c1aa3756fdfb70ed595cbd77721bea10159d7
@@ -5,7 +5,7 @@ LICENSE = "GPL"
 DEPENDS_openzaurus = "makedevs virtual/kernel"
 RDEPENDS = "makedevs"
 LICENSE = "GPL"
-PR = "r85"
+PR = "r86"
 
 SRC_URI = "file://halt \
            file://ramdisk \






More information about the Openembedded-commits mailing list